TUGU PRATAMA INDONESIA (TPI) - Bug #1945

[Import Employee Data] Penambahan Employee Type di Template Data Hiring
01/18/2023 04:20 PM - Mega Yunita

Status: QA Test Start date: 01/18/2023
Priority: Immediate Due date: 01/20/2023
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 6.80 hours
Description

Dear Azid,

Mohon bantuannya untuk :

. Membuat ketentuan jika EmployeelD sudah ada di DB, tidak boleh terbentuk EmployeelD yang sama.

. Menambahkan field dan membaca EmployeeType di template data Hiring (PHRPA0001) untuk membuat custom EmployeelD
. Membuatkan custom EmployeelD dengan membaca masing-masing EmployeeType, dengan ketentuan jika :
. EmployeeType "01" maka EmployeelD diawali angka "0" dan diikuti dengan urutan angka selanjutnya

. EmployeeType "02" maka EmployeelD diawali angka "0" dan diikuti dengan urutan angka selanjutnya

. EmployeeType "04" maka EmployeelD diawali angka "7" dan diikuti dengan urutan angka selanjutnya

. EmployeeType "05" maka EmployeelD diawali angka "8" dan diikuti dengan urutan angka selanjutnya

. EmployeeType "06" maka EmployeelD diawali angka "9" dan diikuti dengan urutan angka selanjutnya

f. EmployeeType "07" maka EmployeelD diawali angka "6" dan diikuti dengan urutan angka selanjutnya

g. EmployeeType "08" maka EmployeelD diawali angka "5" dan diikuti dengan urutan angka selanjutnya

h. EmployeeType "09" maka EmployeelD diawali angka "7" dan diikuti dengan urutan angka selanjutnya
Port : http://remote.minovais.com:61113/
Server : remote.minovais.com,1445\MSSQLSERVER2019
DB : MinovaES_TPI Prod

Terimakasih

History

#1 - 01/19/2023 03:05 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Urgent to Immediate

#2 - 01/20/2023 03:16 PM - Mega Yunita
nama table PCMEPEMPTYP

#3 - 01/23/2023 05:00 PM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , untuk penambahan ini tolong kordinasi dulu ya sama bang ali berdasarkan TPI existing dan tolong di rapihkan datanya Last ID di
PCMEPEMPTYP harap di isi

makasih

#4 - 01/25/2023 02:26 PM - Mega Yunita
- File WhatsApp Image 2023-01-24 at 10.39.13.jpeg added

Dear Azid,

untuk lebih jelasnya, berikut adalah image mappingan dan ketentuan untuk pembuatan EmployeelD
http://remote.minovais.com:61113/

1721 BP Tidak Final

HOME = REPORT

Company ID: PT. KJL Plastic Indonesia Employee Status. Active
Tax Office: Jakarta Tanggal Bukti Potong: 18/01/2023
Period: 10 - 2022 Employee ID

. From:
Payroll Group: PT. KL Plastic Indonesia

i Employee 1D To:

Employee Office: PT. KJL Plastic Indonesia
Pembetulan: No \

|® View Report |
PT. KJL Plastic Indonesia

PT. KJL Plastic Indonesia

FT ML Pl nfomien

1721 BP Tidak Final

Tahun
Pajak

Masa

Paiok NPWP

Pembetulan Nomor Bukti Potong

10 2022 0 1.3-10.22-0000001 123456789

#5 - 01/25/2023 02:28 PM - Mega Yunita
- File image (4).png added

maaf, salah attach

2.2.4 Employee Number

NIK Nama A

15110001 Patrick Christianto K JI.Hanoman Raya C-7

Momor karyawan saat ini (Nomor Induk Karyawan/NIK) untuk karyawan tetap di Tugu Pratama

terdiri dari. nemor yang nantinya akan disesuaikan dengan MinovaHR menjadi 8 digit nomor.

Conteh penomeran karyawan dijelaskan seperti di bawabh ini:

New Employee Number

Permanent Employee 0000X33

(dimulai dari 00000001)

Contract Commissioner GO00XXK

(dimulai dari 30000001)

Contract Director 000X

(dimulai dari 50000001)

Contract Employee TO00XCK

({dimulai dari 70000001)

Qutsource Employee GOODXXXX

(dimulai dari 50000001)

Internship Employee 5000X3K

(dimulai dari 50000001)

#6 - 01/25/2023 02:35 PM - M Azid Wahyudi
- Status changed from Revise to Assigned

- Assignee changed from Mega Yunita to M Azid Wahyudi
#7 - 01/26/2023 10:54 AM - M Azid Wahyudi

- File MinovalS.MinovaES.Data.Element.dll added

- File clipboard-202301261053-wj21r.png added

- File PHRPAO0015 (4).xIs added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , udah bisa di test ya
package :
penambahan di Table PHPPAO0O1 dan sdatatable field (EmployeeType)

dil API 2 : MinovalS.MinovaES.Data.Element.dll

settingan last id untuk di sini ya bukan di prod TPI di client

LAPTOP-JBHOBSP...dbo.PCMEPEMPTYP -+ x_

SQLQuery3.5ql - LAP..._TPI_Prod (sa (73))" LAPTOP-J8HOB9PO\...- dbo.PHRPAND15 LAPTOP-J8HOB9PO\,..- dbo.PHRPAGDD SOLQuery2.5ql - LAP..._TPI_Prod (sa (63))"
StartDate EndDate EmployeeType EmployeeType.. PayrollProcess TaxCode Notes CreateBy CreateDate ChangeBy ChangeDate TaxTreatment LastiD
N 20160101 99991231 01 Permanent 21-100-01 minovais 2016001010101 ali 20230126085905 0O 00000847
20160101 99991231 02 Probation 21-100-03 minovais 2016010101010 ali 20230126085905 O 00000847
13 20160101 99991231 03 Trainee 21-100-03 minovais 20160101010101  ali 20230126093825 O
20160101 99991231 04 Contract 21-100-03 minovais 20160101010101  ali 20230126100331 O 70000468
20160101 99991231 05 Director 21-100-01 minovais 20160101010101  minovais 20160101010101 O 20000102
20160101 99991231 06 Commissioner 21-100-01 minovais 20160101010101  minovais 20160101010101 O 30000036
20160101 99991231 07 Outsource 21-100-03 minovais 20160101010101  minovais 20160101010101 O 60000080
20160101 99991231 03 Internship NULL minovais 20160101010101  minovais 20160101010101 O 50000020
20160101 99991231 09 Contract Khusus 21-100-03 minovais 20160101010101  ali 20230126100531 O 70000468
- NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL
dan template upload ada di file excel
makasih
#8 - 01/26/2023 12:25 PM - Mega Yunita
sudah dilakukan testing dan hasilnya sudah benar.
Terimakasih
Files
WhatsApp Image 2023-01-24 at 10.39.13.jpeg 79.1 KB 01/25/2023 Mega Yunita
image (4).png 31.2KB 01/25/2023 Mega Yunita
MinovalS.MinovaES.Data.Element.dll 354 KB 01/26/2023 M Azid Wahyudi
clipboard-202301261053-wj21r.png 31.2KB 01/26/2023 M Azid Wahyudi
PHRPAOQ0015 (4).xls 11 KB 01/26/2023 M Azid Wahyudi
